﻿using System.Collections.Immutable;
using Connected.ServiceModel;

namespace Connected.Services.Authorization;

public sealed class ServiceAuthorizationMiddlewareArgs<TArgs> : EventArgs
{
	public ServiceAuthorizationMiddlewareArgs(ICallerContext context, ImmutableArray<string> claims, TArgs args)
	{
		Context = context;
		Claims = claims;
		Args = args;
	}

	public ICallerContext Context { get; }
	public ImmutableArray<string> Claims { get; }
	public TArgs Args { get; }
}
